> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qomon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an interaction



## OpenAPI

````yaml /src/autogen/interactions-openapi3.0.yaml delete /v1/contacts/{contactId}/interactions/{interactionId}
openapi: 3.1.0
info:
  description: >-
    This OpenAPI 3.1 specification describes the public API of the Qomon
    platform. It is generated from the code and serves both as documentation for
    API consumers and as a contract for future development.
  title: Qomon API Reference
  version: 0.0.1
servers:
  - description: Production
    url: https://incoming.qomon.app
security:
  - bearerAuth: []
tags:
  - description: >-
      Log and manage interactions (calls, letters, meetings, sms, emails,
      donations) against a contact.


      **Operations:**

      - `/v1/contacts/{contactId}/interactions` — create or list interactions
      for a contact

      - `/v1/contacts/{contactId}/interactions/{interactionId}` — update or
      delete a single interaction

      - `/v1/interactions/tags` — list or create interaction tags
    name: Interactions
paths:
  /v1/contacts/{contactId}/interactions/{interactionId}:
    delete:
      tags:
        - Interactions
      summary: Delete an interaction
      operationId: delete-interaction
      parameters:
        - description: Contact ID.
          in: path
          name: contactId
          required: true
          schema:
            description: Contact ID.
            examples:
              - 42
            format: int64
            minimum: 0
            type: integer
        - description: Interaction ID.
          in: path
          name: interactionId
          required: true
          schema:
            description: Interaction ID.
            examples:
              - 501
            format: int64
            minimum: 0
            type: integer
      responses:
        '204':
          description: No Content
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    ErrorModel:
      additionalProperties: true
      properties:
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: true
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: opaque
      description: >-
        OAuth2 access token. Pass the token in the Authorization header as
        `Bearer <token>`. The token is looked up in Redis to resolve the caller
        identity.
      scheme: bearer
      type: http

````